it-swarm.com.de

Installieren Sie PHP IMAP auf Ubuntu 16.04 mit PHP5.6

Ich habe php5.6 aus dem Repository ppa: ondrej/php installiert, aber ich muss E-Mails mit smtp oder imap senden ...

Ich weiß, dass, wenn Sie das in der Standardversion von PHP installieren, die mit Ubuntu 14.06 geliefert wird, Sie Folgendes verwenden könnten:

Sudo apt-get install php5-imap
Sudo php5enmod imap
Sudo service Apache2 restart

Aber ich benutze Ubuntu 16.04 mit Php5.6. Und ich kann nicht finden, wie ich es aktivieren kann. Ich habe es mit installiert

Sudo apt-get install php5-imap

Funktioniert aber immer noch nicht ... muss ich es aktivieren? Ich denke, es sollte so etwas wie sein:

Sudo php5.6enmod imap

aber ich kann nicht herausfinden, wie ...

Dieser Beitrag scheint die Antwort zu haben: E: Das Paket php5-imap konnte nicht gefunden werden

Sieht so aus, als müssten Sie die Namenskonvention mit 5.6 befolgen:

Sudo apt-get install -y php5.6-imap

Dann vergiss nicht, Apache neu zu starten:

Sudo systemctl restart Apache2

Ich hoffe, das hilft.

4
Sean O'Neill